#include <stdio.h>
#include <limits.h> // INT_MAX, LLONG_MIN など
#include <float.h>  // DBL_MAX, FLT_DIG など

int main(void) {
    printf("INT_MAX=%+d\n", INT_MAX);
    printf("INT_MIN=%+d\n", INT_MIN);
    printf("sizeof(int)=%zu\n", sizeof(int));
    printf("\n");

    printf("LLONG_MAX=%+lld\n", LLONG_MAX);
    printf("LLONG_MIN=%+lld\n", LLONG_MIN);
    printf("sizeof(long long)=%zu\n", sizeof(long long));
    printf("\n");

    printf("FLT_MAX=%+g\n", FLT_MAX);
    printf("FLT_DIG=%d\n",  FLT_DIG);
    printf("sizeof(float)=%zu\n", sizeof(float));
    printf("\n");

    printf("DBL_MAX=%+g\n", DBL_MAX);
    printf("DBL_DIG=%d\n",  DBL_DIG);
    printf("sizeof(double)=%zu\n", sizeof(double));
    return 0;
}
