#include <stdio.h>
#include <math.h>

/* 三角形の面積（３辺の長さをa,b,cとする・ヘロンの公式） */
double triangle(double a, double b, double c) {
    double s = (a + b + c) / 2;
    double area = sqrt(s*(s-a)*(s-b)*(s-c));
    return area;
}

int main(void) {
    printf("3辺の長さが%g,%g,%gの三角形の面積は%gです。\n",
           1.0, 1.0, 1.0, triangle(1.0, 1.0, 1.0));
    printf("3辺の長さが%g,%g,%gの三角形の面積は%gです。\n",
           3.0, 4.0, 5.0, triangle(3.0, 4.0, 5.0));
    return 0;
}
