#include <stdio.h>

/* 一桁の整数なら TRUE を返す */
int is_in_range(int a) {
    return 0 <= a && a < 10;
}

/* 一桁の数 m,n の大小比較 */
void print_comparison(int m, int n) {
    if        (!is_in_range(m)) { // !(0 <= m && m < 10) と同じ
        printf("m=%d は一桁ではありません。\n", m);
    } else if (!is_in_range(n)) { // !(0 <= n && n < 10) と同じ
        printf("n=%d は一桁ではありません。\n", n);
    } else if (m < n) {
        printf("m=%d より n=%d の方が大きいです。\n", m, n);
    } else if (m > n) {
        printf("m=%d の方が n=%d より大きいです。\n", m, n);
    } else {
        printf("m と n は %d で等しいです\n", m);
    }
}

int main(void) {
    print_comparison(-1, 5);  // m=-1 は一桁ではありません。
    print_comparison(-1, 13); // m=-1 は一桁ではありません。
    print_comparison(0, 3);   // m=0 より n=3 の方が大きいです。
    print_comparison(1, 12);  // n=12 は一桁ではありません。
    print_comparison(10, -5); // m=10 は一桁ではありません。
    print_comparison(4, 1);   // m=4 の方が n=1 より大きいです。
    print_comparison(1, 4);   // m=1 より n=4 の方が大きいです。
    print_comparison(1, 1);   // m と n は 1 で等しいです
    return 0;
}
