#include <stdio.h>

void array_copy(int n, int dst[], int src[]) {
    for (int i=0; i<n; i++) {
        dst[i] = src[i]; // 1要素ずつコピー
    }
}

void array_reverse(int n, int dst[], int src[]) {
    for (int i=0; i<n; i++) {
        dst[i] = src[(n - 1) - i]; // 逆順にコピー
    }
}

int main(void) {
    int orig[] = { 5, 2, 7, 5, 9, 1, 5, 7, 3, 0 };
    int num = sizeof(orig)/sizeof(orig[0]);
    int copy[num];     array_copy(num, copy, orig);       // コピー
    int reverse[num];  array_reverse(num, reverse, orig); // 逆順
    for (int i=0; i<num; i++) {   // 結果の表示
        printf("%d %d %d\n", orig[i], copy[i], reverse[i]);
    }
    return 0;
}
