#define FALSE 0
#define TRUE  1

/* nが素数なら TRUE を返す */
int is_prime(int n) {     // (A)
    int count = 0;        // 約数の数
    for (int i=2; i<=n-1; i++) {     // 1とnを除いてループする
        if (n % i == 0) { count++; } // 約数が見つかったら1増やす
    }
    if (count == 0) return TRUE;     // 約数が0個なら素数
    else            return FALSE;
}

int is_prime2(int n) {    // (B)
    int ret = TRUE;       // 素数であることを前提にスタート
    for (int i=2; i<=n-1; i++) {
        if (n % i == 0) {
            ret = FALSE;  // 約数が見つかったら素数ではない
            break;        // ループを続ける必要もない
        }
    }
    return ret;
}

int is_prime3(int n) {    // (C)
    for (int i=2; i<=n-1; i++) {
        if (n % i == 0) {
            return FALSE; // 約数が見つかったら偽を返す
        }
    }
    return TRUE; // 最後まで約数が見つからなければ素数
}
