#include <stdio.h>
#include <string.h> // strlen(), strcpy()

/* strcpy()の自作関数：文字列をコピーする */
void str_copy(char dest[], char src[]) {
    int i; // ループ後にも必要
    for (i=0; src[i]!='\0'; i++) {
        dest[i] = src[i];
    }
    dest[i] = '\0'; // [i+1] ではない
}

/* strcpy()の自作関数：文字列をコピーする（その２） */
void str_copy2(char dest[], char src[]) {
    int len = strlen(src);
    for (int i=0; i<len+1; i++) { // +1 は '\0' のため
        dest[i] = src[i];
    }
}

int main(void) {
    char buff[100];
    strcpy(buff, "abcdef");  printf("%s\n", buff); // "abcdef"
    str_copy(buff, "ABCD");  printf("%s\n", buff); // "ABCD"
    str_copy2(buff, "123");  puts(buff);           // "123"
    return 0;             // puts() は文字列用の表示関数
}
