#include <stdio.h>
#include <stdlib.h>

int main(void) {
    char filename[] = "input.txt";  // 読み取るファイル名

    /* 前処理 */
    FILE *fp = fopen(filename, "r");
    if (fp == NULL) {
	printf("ファイルオープンに失敗しました '%s'\n", filename);
	exit(EXIT_FAILURE);  // プログラムを中断する（異常終了）
    }

    /* 主処理 */
    int c;               // 読み取る1文字を保存する（char ではない）
    while ((c = fgetc(fp)) != EOF) { // EOF はファイルの終端の目印
        printf("%c", c); // cの1文字を画面表示
    }

    /* 後処理 */
    fclose(fp);
    return EXIT_SUCCESS; // 正常終了
}
